/* @import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap'); */
@import url("poping.css");

*,
::after,
::before {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}

:root {
    --black-color: #000000;
    --white: #ffffff;
    --secondary-color:#2B2B2B;
    --input_color:#FAFBFF;
    --danger-color:#D90000;
}

body {
    color: var(--black-color);
    font-family: "Poppins", sans-serif;
    background-color: var(--white);
	min-height: 100%;
	position: relative;
	-webkit-text-size-adjust: none;
     overflow-x: hidden;
}

/* *::-webkit-scrollbar-thumb {
  background-color: var(--black-color);
  border-radius: 2px;
  border: 0px none #111;
}
*::-webkit-scrollbar-track {
  background: var(--white);
}
*::-webkit-scrollbar {
  width: 10px;
  height: 10px;
} */

h1,
h2,
h3,
h4,
h5,
h6 {
    /* font-family: "Antic Didone", serif; */
    font-weight: 400;
    font-style: normal;
    margin: 0px;
}

ul {
    list-style: none;
    margin: 0px;
    padding: 0px;
}

a {
    text-decoration: none;
    color: var(--black-color);
}
p
{
    margin-bottom: 0px;
}

img {
    max-width: 100%;
    display: block;
}


/* -------------- header css ----------- */

.header_section
{
   
  height: 100px;
  background-color: var(--white);
  width: 100%;
  transition: all 0.3s linear;
  border-bottom: 1px solid rgba(0, 0, 0, 0.5);
}
.topbar
{
  height: 100px;
}

.sticky {
    position: sticky !important;
    top: 0 !important;
    width: 100% !important;
    z-index: 999;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    transition: all 0.3s;
    animation: sticky 0.5s;

}

.header_title h3
{
    font-size: 25px;
    font-weight: 600;
    padding-left: 20px;
}
.user {
    position: relative;
    /* border-radius: 50%; */
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: end;
    margin-right: 10px;
    column-gap: 10px;
}
.user_name
{
    display: block;
    font-size: 14px;
    text-align: left;
}
.user_status
{
    color: var(--secondary-color);
    font-size: 12px;
}
.profile_main
{
    display: flex;
    align-items: center;
    column-gap: 5px;
}
.profile_main i 
{
    font-size: 12px;
}
.notification_bell i
{
  font-size: 18px;
  margin-right: 10px;
  padding: 10px;
}

/* --------------- sidemenu css ------ */
.sidebar {
    position: fixed;
    top: 0px;
    left: 0;
    height: 100%;
    width: 260px;
    background: var(--black-color); 
    z-index: 100;
    transition: all 0.5s ease;
    padding: 30px 10px;
    margin-top: 100px;
}
/* .sidebar .nav-links
{
  margin-top: 100px;
} */
.sidebar.close {
  width: 78px;
  padding-inline: 0px;
}
.sidebottom_menu
{
  vertical-align: bottom;
}
/* .sidebar .logo-details {
  height: 60px;
  width: 100%;
  display: flex;
  align-items: center;
}
.sidebar .logo-details i {
  font-size: 30px;
  color: #fff;
  height: 50px;
  min-width: 78px;
  text-align: center;
  line-height: 50px;
}
.sidebar .logo-details .logo_name {
  font-size: 22px;
  color: #fff;
  font-weight: 600;
  transition: 0.3s ease;
  transition-delay: 0.1s;
}
.sidebar.close .logo-details .logo_name {
  transition-delay: 0s;
  opacity: 0;
  pointer-events: none;
} */
.sidebar .nav-links {
  height: 100%;
  padding: 0 0 150px 0;
  overflow: auto;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.sidebottom_menu .setting_nav
{
  border-bottom: 1px solid  var(--white);
}
.sidebar.close .nav-links {
  overflow: visible;
}
.sidebar .nav-links::-webkit-scrollbar {
  display: none;
}
.sidebar .nav-links li {
  position: relative;
  list-style: none;
  transition: all 0.4s ease;
}
.sidebar .nav-links li .drop-menu {
  display: flex;
  align-items: center;
  cursor: pointer;
  position: relative;
  /* display: block; */
}
.sidebar .nav-links li .drop-menu:hover , .sidebar .nav-links li .drop-menu.active
{
  background-color: var(--white);
  border-radius: 10px;
  color: var(--black-color);
}
.sidebar .nav-links li .drop-menu:hover .link_name , .sidebar li .drop-menu.innermenu:hover::before  , .sidebar .nav-links li .drop-menu.active .link_name , .sidebar li .drop-menu.innermenu.active::before
{
  color: var(--black-color);
}
.sidebar .nav-links li .drop-menu:hover >  svg path , .sidebar .nav-links li .drop-menu.active >  svg path
{
  fill:black;
}

/* .sidebar.close .nav-links li .drop-menu
  {
  display: block;
} */
.sidebar li .drop-menu.innermenu::before {
  content: '\f054';
  display: block;
  position: absolute;
  right: 12px;
  font-family: 'fontawesome';
  font-size: 12px;
  top: 18px;
  color: var(--white);
}
.sidebar .nav-links li svg {
  height: 50px;
  min-width: 78px;
  text-align: center;
  line-height: 50px;
  color: #fff;
  font-size: 20px;
  cursor: pointer;
  transition: all 0.3s ease;
  padding: 15px;
}
.sidebar .drop-menu.innermenu.active::before {
  transform: rotate(-90deg);
  
}
.sidebar .nav-links i.arrow {
  /* display: none; */
}
.sidebar .nav-links i.arrow
{
  color: white;
  padding-inline: 20px;
  font-size: 14px;
}
.sidebar .nav-links li a {
  display: flex;
  align-items: center;
  text-decoration: none;
}
.sidebar .nav-links li a .link_name {
  font-size: 15px;
  font-weight: 400;
  color: #fff;
  transition: all 0.4s ease;
  font-weight: 600; 
}
.sidebar.close .nav-links li a .link_name {
  opacity: 0;
  pointer-events: none;
}
.sidebar .nav-links li .sub-menu {
  padding: 10px;
  /* background: #1d1b31; */
  display: none;
}
.sidebar .nav-links li.showMenu .sub-menu {
  display: block;
}
.sidebar .nav-links li .sub-menu a {
  color: #fff;
  font-size: 15px;
  padding: 8px 25px;
  white-space: nowrap;
  transition: all 0.3s ease;
  opacity: 1;
  border-radius: 10px;
}
.sidebar .nav-links li .sub-menu a:hover  ,  .sidebar.close .nav-links li .sub-menu a:hover ,  .sidebar .nav-links li .sub-menu a.active , .sidebar.close .nav-links li .sub-menu a.active {
  background-color: var(--white);
  color:var(--black-color);

}
.sidebar.close .nav-links li .sub-menu {
  position: absolute;
  left: 100%;
  top: 10px;
  margin-top: 0;
  padding: 10px 10px;
  border-radius: 0 6px 6px 0;
  /* opacity: 0; */
  /* display: block; */
  transition: 0s;
  background-color: var(--black-color);
  z-index: 9999;
  width: 240px;
}
.sidebar.close .nav-links li .sub-menu a
{
  display: block;
  background-color: var(--black-color);
}
/* .sidebar.close .nav-links li:hover .sub-menu {
  top: 0;
  opacity: 1;
  pointer-events: auto;
  transition: all 0.4s ease;
} */
.sidebar .nav-links li .sub-menu .link_name {
  display: none;
}
.sidebar.close .nav-links li .sub-menu .link_name {
  font-size: 18px;
  opacity: 1;
  display: block;
}
.sidebar .nav-links li .sub-menu.blank {
  opacity: 1;
  pointer-events: auto;
  padding: 3px 20px 6px 16px;
  opacity: 0;
  pointer-events: none;
}
.sidebar .nav-links li:hover .sub-menu.blank {
  top: 50%;
  transform: translateY(-50%);
}
.sidebar .profile-details {
  position: fixed;
  bottom: 0;
  width: 260px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: #1d1b31;
  padding: 12px 0;
  transition: all 0.5s ease;
}
.sidebar.close .profile-details {
  background: none;
}
.sidebar.close .profile-details {
  width: 78px;
}
.sidebar .profile-details .profile-content {
  display: flex;
  align-items: center;
}
.sidebar .profile-details img {
  height: 52px;
  width: 52px;
  object-fit: cover;
  border-radius: 16px;
  margin: 0 14px 0 12px;
  background: #1d1b31;
  transition: all 0.5s ease;
}
.sidebar.close .profile-details img {
  padding: 10px;
}
.sidebar .profile-details .profile_name,
.sidebar .profile-details .job {
  color: #fff;
  font-size: 18px;
  font-weight: 500;
  white-space: nowrap;
}
.sidebar.close .profile-details i,
.sidebar.close .profile-details .profile_name,
.sidebar.close .profile-details .job {
  display: none;
}
.sidebar .profile-details .job {
  font-size: 12px;
}
.toggle_angle
{
  position: absolute;
  top: 40px;
  right: 20px;
  height: 100vh;
  width: calc(100% - 260px);
  transition: all 0.5s ease;
}

.toggle_angle .toogle_btn {
  height: 30px;
  width: 30px;
  background-color: var(--white);
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  border: 1PX solid var(--secondary-color);
}
.toggle_angle .toogle_btn i 
{
  font-size: 14px;
}
.home-section {
  position: relative;
  /* background: #e4e9f7; */
  /* height: 100vh; */
  left: 260px;
  width: calc(100% - 260px);
  transition: all 0.5s ease;
}

.sidebar.close ~ .home-section {
  left: 78px;
  width: calc(100% - 78px);
}

.main_dashboard
{
  border: 1px solid var(--secondary-color);
  margin: 30px;
  border-radius: 15px;
  padding: 30px;
}

/* -----------------  profile dashboard ---------------- */

.btn
{
  background-color: var(--black-color) !important;
  border: 2px solid var(--black-color) !important;
  width: 220px;
  max-width: 280px;
  height: 45px;
  font-size: 15px;
  transition: all 0.3s ease;
  font-weight: 500;
  border-radius: 10PX;
}
.btn:hover
{
  background-color: var(--white) !important;
  color: var(--black-color);
}
.btn:hover svg path
{
  fill: black;
}
.btn_secondary
{
  background-color: var(--white) !important;
  border: 2px solid var(--black-color) !important;
  width: 240px;
  max-width: 280px;
  height: 45px;
  font-size: 15px;
  transition: all 0.3s ease;
  font-weight: 500;
}
.btn_secondary:hover , .btn_secondary.active
{
  background-color: var(--black-color) !important;
  color: var(--white);
}

.profile_img
{
  width: 160px;
  height: 160px;
  object-fit: contain;
  position: relative;
}
.profile_img img
{
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.image_edit
{
  width: 35px;
  height: 35PX;
  border-radius: 50%;
  background-color: var(--black-color);
  text-align: center;
  line-height:35PX;
  position: absolute;
  bottom: 0px;
  right: 0px;
  cursor: pointer;
}
.image_edit i
{
  color: var(--white);
}
.profile_info .profile_name
{
  font-size: 16px;
  margin-bottom: 10px;
  font-weight: 600;
}
.profile_info .profile_status
{
  font-size: 16px;
  margin-bottom: 15px;
  color: var(--secondary-color);
}
.form-group
{
    margin-right: 15px;
    margin-bottom: 20px;
}
.form-group input , .form-group textarea , .form-select.select_input
{
  border: 1px solid #AAA5A5;
  padding: 10px;
  border-radius: 10px;
  background-color: var(--input_color);
  width: 100%;

}
.form-group label
{
  display: block;
}
.cancel_btn .btn , .update_btn .btn
{
  width: 180px;
}
.change_password_txt
{
  font-weight:600;
}


/* ----------------- login page ---------------- */

.login_form
{
  padding: 30px;
}
.login_form .login_txt
{
    font-size: 50px;
    font-weight: 600;
    margin-bottom: 20px;
}
.login_bg_img
{
  height: 100%;
}
.login_content
{
  text-align: center;
  padding: 80px 20px;
  max-width: 700px;
    margin-inline: auto;
}
.login_content .login_para
{
  font-size: 21px;
  margin-bottom: 20px;
  font-weight: 300;
}
.login_content .form-group input
{
  background-color: transparent;
  border: 1px solid #AAA5A5;
  border-radius: 12px;
  height: 55px;
}
.email_field
{
  position: relative;
  padding-right: 30px !important;
}
.form_user_icon , .fa-magnifying-glass {
  position: absolute;
  z-index: 2;
  display: block;
  width: 3rem;
  height: 55px;
  text-align: center;
  /* pointer-events: none; */
  color: #aaa;
  right: 0px;
  line-height: 55px;
  /* top: 0px; */
}
.login_label
{
  text-align: left;
  color: var(--black-color);
  font-weight: 600;
  text-transform: capitalize;
  margin-bottom: 15px;
}
.switch_toggle
{
  text-align: left;
}
.login_btn
{
  width: 100%;
  max-width: 100%;
  margin-top: 25px;
  border-radius: 15px;
  height: 55px;
}
.login_form_box
{
  margin-top: 40px;
}
.switch_toggle {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 30px;
}
.switch_toggle input {
  opacity: 0;
  width: 0;
  height: 0;
}
.slider_round{
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: var(--white);
  border: 1px solid var(--black-color);
  -webkit-transition: .4s;
  transition: .4s;
  border-radius: 30px;
}
.slider_round:before {
  position: absolute;
  content: "";
  height: 24px;
  width: 24px;
  left: 4px;
  bottom: 2px;
  background-color: var(--black-color);
  -webkit-transition: .4s;
  transition: .4s;
}
input:checked + .slider_round {
  background-color: var(--black-color);
  border: 1px solid var(--black-color);
}
input:focus + .slider_round {
  box-shadow: 0 0 1px #2196F3;
}
input:checked + .slider_round:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
  background-color: var(--white);
}
.slider_round.round:before {
  border-radius: 50%;
}
.remember_me_txt
{
  font-size: 16px;
}
.trouble_login_content
{
  max-width: 600px;
}

/* ---------------  sign up page css ---------------- */
.sign_up_content
{
  text-align: center;
  padding: 50px 20px;
  margin-inline: auto;
  max-width: 100%;
}

/* ------------  notification css ---------- */
.notification_mess
{
  text-align: left;
}
.notification_mess h4
{
  font-size: 14px;
}
.notification_bell
{
  position: relative;
}

.notification_box{
  width: 400px;
  background-color: var(--white);
  box-shadow: 0px 0px 13px 0px #295CD31A;
  max-height: 300px;
  overflow-y: scroll;
  border-radius: 10px;
  transform: scale(0) translatex(50%);
  transition: all 0.3s ease-in-out;
  position: absolute;
  top: 50px;
  right: 100px;
  transform-origin: top right;
  z-index: 3;
}
.notification_box.active
{
  transform: scale(1) translatex(0%);
}
.notification_box::-webkit-scrollbar {
    width: 10px;
    height:15px;
}
.notification_box::-webkit-scrollbar-thumb {
  background-color: #D9D9D9;
}
.notification_mess p
{
  font-size: 12px;
  color: #615E5E;
}
.notification_mess span
{
  font-size: 10px;
  color: #615E5E;
}
.mess_box
{
  border-bottom: 1px solid #D9D9D9;
  padding: 20px;
}
.mess_icon
{
  border: 1.5px solid var(--black-color);
  padding:6px 12px;
  border-radius: 5px;
  position: relative;
}
.mess_icon::before
{
  position: absolute;
  content: '';
  width: 70%;
  height: 80%;
  border-radius: 50%;
  background-color: #EEC3A8;
  left: 50%;
  top: 50%;
  transform: translate(-50%,-50%);
  z-index: 0;
}
.notification_header 
{
  padding: 20px;
  border-bottom: 2px solid #D0DDFD;
}
.notification_header h4
{
  font-size: 16px;
  text-align: left;
  font-weight: 600;
}

.notification_header .close_icon  i
{
  font-size: 20px;
  cursor: pointer;
}
.forget_password , .sign_up
{
  color: #295CD3;
}


/* ------------------- Attributes List -------------------- */

.wrapper_dashboard
{
  padding: 25px;
}
.transport_btn .export_btn , .transport_btn .import_btn
{
  max-width: 150px;
}
.transport_btn .import_btn i 
{
  transform: rotate(180deg);
}
.delete_btn
{
  background-color: var(--danger-color) !important;
  border: 2px solid var(--danger-color) !important;
  color: var(--white);
   max-width: 180px;
}
.delete_btn:hover
{
  background-color: var(--white) !important;
  border: 2px solid var(--danger-color) !important;
  color: var(--danger-color);
}
.add_attribute
{
  max-width: 220px;
}
.search_input
{
  max-width: 380px;
  width: 380px;
  border: 1px solid #BFB2A2;
  font-size: 12px;
  padding: 10px;
  border-radius: 10px;
}
.fa-magnifying-glass {
  position: absolute;
  z-index: 2;
  display: block;
  width: 3rem;
  height: 2.375rem;
  line-height: 2.7rem !important;
  text-align: center;
  pointer-events: none;
  color: var(--black-color);
  right: 0px;
  /* top: 0px; */
}

/* ------------------ table css ---------------- */
table,
td,
th {
 
  text-align: center;
  /* white-space: nowrap; */
  font-size: 14px;
  font-weight: 500;
  text-transform: capitalize;
}
table thead tr th {
  background-color: var(--black-color) !important;
  color: var(--white) !important;
  padding: 15px !important;
}
table thead tr th:first-child
{
  border-top-left-radius: 10px;
  border-bottom-left-radius: 10px;
}
table thead tr th:last-child
{
  border-top-right-radius: 10px;
  border-bottom-right-radius: 10px;
}
table thead tr 
{
 border-radius: 10px;
}
table {
  border-collapse: collapse;
  width: 100%;
}

th,
td {
  padding: 15px;
}
table tbody tr 
{
  background-color: var(--white) !important;
}
table tbody tr td {
  /* border-right: 1px solid #999; */
  text-align: center;
  word-break: break-all;
  background-color: var(--white) !important;
  box-shadow: none !important;
  padding: 15px !important;
  vertical-align: middle;
}
table 
{
 width: 100%;
 height: 100%;
}
input[type="checkbox"]
{
  width: 18px;
  height: 18px;
  background-color: transparent;
  border-radius: 5px;
  border: 1px solid var(--secondary-color);
  accent-color: transparent;
}
.switch_toggle_table {
  position: relative;
  display: inline-block;
  width: 45px;
  height: 20px;
}
.switch_toggle_table .slider_round{
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color:var(--danger-color);
  border: 1px solid  var(--danger-color);
  -webkit-transition: .4s;
  transition: .4s;
  border-radius: 30px;
}
.switch_toggle_table .slider_round:before {
  position: absolute;
  content: "";
  height: 16px;
  width: 16px;
  left: 3px;
  bottom: 1px;
  background-color: var(--white);
  -webkit-transition: .4s;
  transition: .4s;
}
.switch_toggle_table input:checked + .slider_round {
  background-color: #21BA21;
  border: 1px solid #21BA21;
}

.switch_toggle_table input:checked + .slider_round:before {
  -webkit-transform: translateX(21px);
  -ms-transform: translateX(21px);
  transform: translateX(21px);
  background-color: var(--white);
}
#attribute_list .edit_icon i
{
  color:#8A8A8A;
  font-size: 18px;
}
.action_icon_box i
{
  font-size: 16px;
}
.head_checkbox 
{
  border: 1px solid var(--white) !important;
}
.head_checkbox:checked
{
  border: 1px solid var(--white) !important;
  outline:  1px solid var(--white) !important;
  border-radius: 5px !important;
  margin-right: 10px;
}

/* ---------------- pagination css ------------------------- */

.pagination
{
  column-gap: 10px;
  margin-top: 30px;
}
.pagination .page-link
{
  border: 0 !important;
}
.pagination li .page-link 
{
  color: var(--black-color) !important;
  border-radius: 5px;
  padding-inline: 20px;
}
.pagination li .page-link i
{
  font-size: 12px !important;
}
.pagination li .page-link.active
{
  background-color: var(--black-color) !important;
  color: var(--white) !important;
}
.page-link:focus
{
  box-shadow: none !important;
  background-color: none !important;
}

/* ---------------- category css ----------------- */

.category_box img
{
   width: 50px;
   height: 50px;
   object-fit: contain;
   border-radius: 5px;
}

/* -------------------- order css------------------ */
.action-dropdown {
  position: relative;
  display: inline-block;

}

.action-dropdown-button {
  display: inline-flex;
  align-items: center;
  justify-content: space-between;
  column-gap: 0.5rem;
  border-radius: 0.375rem;
  background: transparent;
  padding: 0.625rem 0.875rem;
  font-size:12px;
  line-height: 1.25rem;
  font-weight: 600;
  color: var(--black-color);
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05);
  border: none;
  outline: 1px solid #D9D9D9;
  cursor: pointer;
  width: 180px;
}
.action-dropdown-button:focus
{
  outline: 1px solid #D9D9D9 !important;

}
/* .dropdown-button:hover {
  background: #6366f1;
} */

.action-chevron-icon {
  width: 1rem;
  height: 1rem;
  transform: rotate(0);
  transition: transform 0.3s ease;
}
.action-chevron-icon.rotate {
  transform: rotate(-180deg);
}

.action-dropdown-content {
  position: absolute;
  top: 3rem;
  margin-top: 0.5rem;
  width: 100%;
  opacity: 0;
  visibility: hidden;
  transform: scaleY(0);
  transform-origin: top right;
  border-radius: 0.375rem;
  background: #ffffff;
  box-shadow: 0 10px 15px rgba(0, 0, 0, 0.1);
  transition: all 0.3s ease;
  z-index: 99;
  padding: 10px;
  outline: 1px solid #D9D9D9 !important;
   max-height: 160px;
   overflow-y: auto;
}

.action-dropdown-link {
  display: block;
  padding: 0.5rem 1rem;
  font-size: 0.875rem;
  line-height: 1.25rem;
  color: #4a5568;
}
.action-dropdown-link:hover {
  color: #111827;
  background: #f1f1f1;
}

.action-dropdown .action-dropdown-content.active {
  opacity: 1;
  transform: scaleY(1);
  visibility: visible;
}

.status-dropdown .action-dropdown-button
{
  color: #696969;
  width: 280px;
  max-width: 280px;
}
.fliter_btn , .reset_btn
{
  width: 100%;
  max-width: 100%;
}

/* ---------------------  add category css ---------------- */

.category_cancel_btn
{
  border: 1px solid var(--danger-color) !important;
  color: var(--danger-color) !important;
  background-color: transparent !important;
}
.category_cancel_btn:hover
{
    background-color: var(--danger-color) !important;
    color: var(--white) !important;
}
.add_category_title , .main_title
{
  font-size: 25px;
  font-weight: 600;
  margin-bottom: 10px;
}


/* ---------------- order-details css ---------------- */

.order-details-card
{
  padding: 25px 0px 25px 25px;
  background-color: var(--white) !important;
  box-shadow: 0px 3px 15px rgba(0, 0, 0, 11%);
  border-radius: 20px;
}
.order-title h4
{
  font-size: 20px;
  font-weight: 600;
  margin-bottom: 20px;
}
.customer-title h4{
  padding-inline: 26px;
}
.order_Card img
{
  width: 130px;
  height: 130px;
  object-fit: contain;
}
.order_Card p 
{
  font-size: 14px;
  font-weight: 600;
  margin-bottom: 5px;
}
.order_Card p  span
{
  font-size: 14px;
  font-weight: 400;
}
.customer-img
{
  width: 50px;
  height: 50px;
  object-fit: contain;
  border-radius: 50%;
}
.customer-card
{
  padding: 25px 0px;
  background-color: var(--white) !important;
  box-shadow: 0px 3px 15px rgba(0, 0, 0, 11%);
  border-radius: 20px;
  height: 100%;
}
.padd_inline
{
  padding: 15px 26px!important;
}
.customer-info
{
  border-bottom: 1px solid #D9D9D9;
}
.customer-info span
{
  font-size: 14px;
}
.customer-edit
{
  font-size: 14px;
  color: #497BFC;
  font-weight: 500;
}
.detail_table
{
  border: 1px solid #D9D9D9;
  padding: 20px;
}
.detail_table span
{
  font-size: 14px;
}
.order_details_table
{
  margin-top: 20px;
}

/* ----------------- setting page css ---------------- */
.setting_card_board
{
  padding: 20px;
  background-color: var(--white) !important;
  box-shadow: 0px 3px 15px rgba(0, 0, 0, 11%);
  border-radius: 20px;
}
.sett-edit-btn , .sett-save-btn
{
  max-width: 140px;
}
.setting-dropdown {
  position: relative;
  display: inline-block;
  width: 100%;
  outline: 1px solid var(--black-color) !important;
  border-radius: 14px;
  padding: 15px;
  margin-bottom: 15px;
}
.setting-dropdown-button {
  display: flex;
  align-items: center;
  justify-content: space-between;
  column-gap: 0.5rem;
  background: transparent;
  font-size:18px;
  line-height: 1.25rem;
  font-weight: 500;
  color: var(--black-color);
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05);
  border: none;
  cursor: pointer;
  width: 100%;
}
.setting-dropdown-content:focus
{
  outline: 1px solid #D9D9D9 !important;
}

.setting-chevron-icon {
  width: 1rem;
  height: 1rem;
  transform: rotate(0);
  transition: transform 0.3s ease;
}
.setting-chevron-icon.rotate {
  transform: rotate(-180deg);
}
.setting-dropdown-content {
  position: relative;
  margin-top: 0.5rem;
  width: 100%;
  transform-origin: top right;
  background: #ffffff;
  transition: all 0.3s ease;
  z-index: 99;
  overflow-y: auto;
  opacity: 0;
  visibility: hidden;
  transform: scaleY(0);
  display: none;
  max-height: 160px;
}
.setting-dropdown-link {
  display: block;
  padding: 8px 10px;
  font-size: 0.875rem;
  line-height: 1.25rem;
  color: #4a5568;
  border-radius: 14px;
}
.setting-dropdown-link:hover {
  color: var(--white);
  background: var(--black-color);
}
.setting-dropdown .setting-dropdown-content.active {
  opacity: 1;
  transform: scaleY(1);
  visibility: visible;
  display: block;
}
.setting_table tbody td
{
  border: 1px solid var(--black-color) !important;
}
table.setting_table thead tr th:first-child
{
  border-bottom-left-radius: 0px !important;
}
table.setting_table thead tr th:last-child
{
  border-bottom-right-radius: 0px !important;
}

/* ---------------------------- module tab css ------ */
.module_tab ul li
{
  margin-inline:15px;
}
.module_tab ul li button.active , .module_tab ul li button:hover
{
  background-color: var(--black-color) !important;
  color: var(--white) !important;
}
.module_tab ul li button
{
  color: black !important;
}
.modal-close-btn
{
  position: absolute;
  right: 10px;
  padding: 15px;
}

/* ------------------  add product page css ---------------- */
.upload-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border: 2px dashed #cccccc;
  border-radius: 8px;
  width: 100%;
  max-width: 100%;
  padding:30px 25px;
  margin: auto;
  text-align: center;
  color: #888888;
  position: relative;
}

.upload-container input[type="file"] {
  opacity: 0;
  top: 0px;
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: 99999 !important;
  cursor: pointer;
}

.upload-text {
  font-weight: 500;
  font-size: 16px;
  color: #333333;
  margin-bottom: 5px;
}

.accepted-formats {
  font-size: 16px;
  color: #888888;
}

/* -------------------- dashboard css ---------------- */
.dashboard_wrapper
{
  background-image: url(../image/dashboard-img.png);
  height: calc(100vh -100px);
  min-height: 100vh;
  width: 100%;
  background-size: cover;
  background-repeat: no-repeat;
  background-position:bottom ;
  position: relative;
}
.dashboard_wrapper::before
{
  content: '';
  position: absolute;
  top: 0px; 
  left: 0px;
  width: 100%;
  height: 100%;
  background-color: rgba(223, 219, 212, 0.5);
  z-index: 0;
}
.dashboard_container
{
  padding: 60px 30px;
  position: relative;
  z-index: 1
}
.dashboard_title
{
  font-size: 35px;
  text-decoration: underline;
  text-align: center;
  text-underline-offset: 12px;
  text-decoration-thickness: 1px;
  margin-bottom: 15px;
  text-decoration-color: #111111;
}
.dashboard_text
{
  font-size: 18px;
  text-align: center;
}
.dashboard_box
{
  width: calc(100% - 300px);
  margin-inline: auto;
}
.dashboard_text
{
  width: calc(100% - 250px);
  color: #111111;
  margin-inline: auto;
  margin-block: 10px;
}
.dashboard_style_border
{
  max-width: 100%;
  width: 400px;
  height: 400px;
  border-top: 1px solid var(--black-color);
  border-bottom:1px solid var(--black-color) ;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  border-left: 1px solid transparent;
  border-right:1px solid transparent;
  position: relative;
  margin-inline: auto ;
}
.dashboard_style_border::before
{
  position: absolute;
  content: '';
  width: 20px;
  height: 20px;
  background: var(--white);
  border-radius: 50%;
  border: 1px solid var(--black-color);
  left: 50%;
  top: 50%;
  transform: translate(-50%,-50%);
  top: 0px;
}
.dashboard_style_border::after
{
  position: absolute;
  content: '';
  width: 20px;
  height: 20px;
  background: var(--white);
  border-radius: 50%;
  border: 1px solid var(--black-color);
  left: 50%;  
  top: 100%;
  transform: translate(-50%,-50%);  
  bottom: 0px;
}
.dot_one::before
{
  position: absolute;
  content: '';
  width: 15px;
  height: 15px;
  background: var(--white);
  border: 1px solid var(--black-color);
  border-radius: 50%;
  left: 13%;
  top: 12%;
  /* transform: translate(-50%,-50%); */
}
.dot_one::after
{
  position: absolute;
  content: '';
  width: 15px;
  height: 15px;
  background: var(--white);
  border: 1px solid var(--black-color);
  border-radius: 50%;
  right: 12%;
  top: 12%;
}
.dot_two::before
{
  position: absolute;
  content: '';
  width: 15px;
  height: 15px;
  background: var(--white);
  border: 1px solid var(--black-color);
  border-radius: 50%;
  left: 12%;
  bottom: 12%;
  /* transform: translate(-50%,-50%); */
}
.dot_two::after
{
  position: absolute;
  content: '';
  width: 15px;
  height: 15px;
  background: var(--white);
  border: 1px solid var(--black-color);
  border-radius: 50%;
  right: 12%;
  bottom: 12%;
}
.main_card_box
{
  margin-block: 80px;
}
.dashboard_card
{
  background-color: var(--white);
  box-shadow: 5px 5px 0px 0px #B0BEC5;
  width: 300px;
  height: 300px;
  max-width: 100%;
  max-height: 100%;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.inner_card_box
{
  width: calc(100% - 55px);
  height: calc(100% - 55px);
  border-radius: 50%;
  background-color: var(--black-color);

}
.icon_box
{
  width: 98px;
  height: 98px;
  border: 1px solid var(--white);
  border-radius: 50%;
  text-align: center;
  line-height: 98px;
}
.card_title
{
  font-weight: 500;
  font-size: 24px;
  color:var(--white);
}

/* ------------------- category dashboard css ------------------------- */

.category_card
{
  width: 85%;
  height: 342px;
  background-color: var(--white);
  box-shadow: 5px 5px 5px #777777;
  margin-inline: 20px;
  border-radius: 18px;
  position: relative;
  padding-top: 22px;
}
.category_image
{
  width: 110%;
  height: 200px;
  margin-inline: auto ;
  position: relative;
  left: -4.5%;
}
.category_image img
{
  width: 100%;
  height: 100%;
  object-fit: cover;
  box-shadow: 5px 5px 5px #777777;
  position: relative;
}
/* .category_image::before
{ 
  position: absolute;
  content: "";
  left: 1%;
  top:100%;
  width: 10%;
  height: 10%;
  background: #000000;
  transform: rotate(-300deg);
  z-index: -2;
}
.category_image::after
{ 
  position: absolute;
  content: "";
  right: 0;
  top: 99%;
  width: 10%;
  height: 10%;
  background: #000000;
  transform: rotate(300deg);
  z-index: -2;
} */
.cate_description
{
  height: calc(100% - 200px);
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 15px;
  flex-wrap: wrap;
}
.cate_description .cat_name
{
  font-size: 24px;
  font-weight: 500;
  color: #404040;
  text-align: center;
}

.check-icon {
  width: 24px;
  height: 24px;
  background-color: black;
  border-radius: 50%;
  color: white !important;
  font-size: 15px !important;
  margin-right: 8px;
  text-align: center;
  line-height: 24px;
}
.dashboard_category_box .check_label 
{
  position: relative;
  top: 0;
  left: 0;
  margin-inline: 5px;
  width: 24px;
  height: 24px;
}
.dashboard_category_box .check_label::after
{
  top: 6px;
  left: 5px;
} 

/* ----------------- curtain page css ---------------- */

/* --------- item summery css ------ */
.item_summary_box
{
  padding: 20px;
  background-color: #F5F5F5 !important;
  border-radius: 20px;
}
.item_summary_title 
{
  font-size: 28px;
  font-weight: 400;
}
.item_subtitle
{
    font-size: 16px;
    font-weight: 400;
    text-transform: capitalize;
    padding-block: 15px;
    display: block;
}
.peta_title
{
  font-size: 13px;
}
.item_summery_select {
  background-color: transparent;
  border: none;
  border-radius: 0px;
  max-width: 85%;
  font-size: 24px;
  padding: 10px 5px;
  color: var(--secondary-color);
}
.item_summery_select option
{
  font-size: 16px;
}
.item_summary_edit
{
  font-size: 16px;
}
.total_card_box
{
  background-color: var(--white);
  padding: 15px;
  border-radius: 10px;
  margin-bottom: 20px;
}

.card_box
{
  background-color: var(--white);
  box-shadow: 0px 0px 10px rgba(0, 0, 0,0.2);
  width: 100%;
  height: auto;
  padding: 24px;
  border-radius: 10px;
  margin-bottom: 30px;
}
.card_box .form-group input
{
  background: transparent;
  height: 50px;
  border: 1px solid #AAA5A5;
}
.form_label
{
  font-size: 14px;
  font-weight: 400;
  margin-bottom: 10px;
}
.form_select_input
{
  height: 50px;
  border: 1px solid #AAA5A5;
}
.select_style_txt
{
  font-size: 18px;
}

.style_checkcard {
  border: 1px solid #A4A2A2;
  padding: 12px;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  margin-bottom: 20px;
}

.check_input {
  position: absolute;
  opacity: 0; /* Makes it hidden but still clickable */
  width: 100% !important;
  height: 100% !important;
  top: 0;
  left: 0;
  cursor: pointer;
}

.check_label {
  background-color: #fff;
  border: 1px solid #ccc;
  border-radius: 50%;
  cursor: pointer;
  height: 28px;
  width: 28px;
  position: absolute;
  top: 10px;
  left: 10px;
  display: none;
}

.check_label:after {
  border: 2px solid #fff;
  border-top: none;
  border-right: none;
  content: "";
  height: 6px;
  left: 7px;
  opacity: 0;
  position: absolute;
  top: 8px;
  transform: rotate(-45deg);
  width: 12px;
}

.check_input[type="checkbox"]:checked + .check_label {
  background-color: var(--black-color);
  border-color: var(--black-color);
  display: block;
}
.check_input[type="checkbox"]:checked + .check_label:after {
  opacity: 1;
}

.pleating_img {
  max-width: 175px;
  max-height: 165px;
}

.pleating_img img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.style_name {
  font-size: 14px;
  margin-bottom: 10px;
}
.single_track_box
{
  background-color: #F2F2F2;
  padding: 24px;
}
.card_box_track
{
  background-color: var(--white);
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
  width: 100%;
  height: auto;
  border-radius: 10px;
  margin-bottom: 30px;
}
.inner_track_box
{
  background-color: var(--white);
 padding: 24px;

}
.radio_buton:checked
{
  background-color: var(--white);
  border-color: var(--white);
}
.form-check-input.radio_buton:checked[type=radio] {
  --bs-form-check-bg-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='2' fill='%23000000'/%3e%3c/svg%3e");
}
.form-check-input.radio_buton
{
  width: 18px !important;
  height: 18px !important;
  border: 1px solid var(--black-color);
}
.form-check-input.radio_buton:focus
{
  box-shadow: none;
  outline:none;
}
.card_box_track .form-group input
{
  background: transparent;
  height: 50px;
  border: 1px solid #AAA5A5
}
.reset_btn , .add_new_item_btn 
{
  max-width: max-content;
  padding-inline: 20px;
}

.color-box {
  width: 50px;
  height: 48px;
  border-radius: 4px;
  margin-right: 10px;
  position: absolute;
  top: 1px;
  left: 1px;
  border: 1px solid #cccccc;
}
.stack_img
{
  width: 50px;
  height: 50px;
  object-fit: contain;
  border-radius: 4px;
  margin-right: 10px;
  position: absolute;
  top: 0px;
  left: 0px;
  border: 1px solid #cccccc;
}
.color_select_input
{
  padding-left: 60px;
}
.stack_select
{
  /* position: relative; */
  padding-left: 60px;
}
.curtain_tab
{
  border: 0px !important;
}

/* ------------------ customer details css ---------------- */

.dashboard_wrapper2
{
  background-image: url(../image/bg-img.png);
  position: relative;
  height: 100%;
  min-height:100vh;
  background-clip: content-box;
  background-size: cover;
}
.dashboard_wrapper2::before
{
 height: 0px;
}
.cus_details_title
{
  font-weight: 600;
  font-size: 24px;
  margin-bottom: 20px;
}
#Curtain_Details_table tbody tr td 
{
  word-break: auto-phrase;
  border-right: 1px solid var(--black-color);
}
.customer_cancel_btn
{
  max-width: 150px;
}
.customer_card_box
{
  padding: 40px;
}
.upload_input
{
  opacity: 0;     
  position: absolute;
  top: 0;
  left: 0;
  cursor: pointer;
  z-index: 0;
}
.upload_field
{
  width: 100%;
  height: 50px;
  border: 1px solid #AAA5A5;
  border-radius: 5px;
  display: flex;
  align-items: center;
  padding: 12px;
  cursor: pointer;
}

.detail_expot_btn:hover svg path
{
  fill: white !important;
  opacity: 1;
}
#order_confirm .modal-content
{
  max-width: 435px;
}

/* --------------------------- order history ------------------------------ */

.history_fliter-btn , .history_reset_btn
{
  max-width: 180px;
  width: 100%;
}
.card_box .form-group input[type="datetime-local"]
{
  height: 45px;
}
.history_search_box .fa-magnifying-glass
{
  left: 0px !important;
  color: #707070;
}
.history_search_box input
{
  padding-left: 40px;
  border-radius: 30px;
}
.order_history_title
{
  width: 180px;
  font-size: 24px;
}
.history_search_box input::placeholder
{
  font-size: 16px;
}
.history_search
{
  max-width: 380px;
  width: 320px;
}

/*  -----------------  account informaton css ---------------- */
.account_title
{
  font-size: 24px;
  font-weight: 500;
  margin-bottom: 20px;
}

/* =--------- change password ----------- */
#change_pass_modal .modal-body
{
  padding: 30px;
}
#change_pass_modal .modal-content
{
  border-radius: 15px;
}
.password_title
{
  font-size: 24px;
  margin-bottom: 15PX;
  font-weight: 500;
}
.pass-txt
{
  margin-bottom: 15PX;
  font-size: 14px;
  margin-bottom: 15px;
}
#change_pass_modal  input
{
  height: 40px;
  line-height: 40px;
}
#change_pass_modal .form_password_icon
{
  position: absolute;
  display: block;
  width: 3rem;
  height: 40px;
  line-height: 40px;
  color: #aaa;
  right: 0px;
}
#success_pass_modal .modal-dialog   
{
    max-width:310px;
    margin-inline: auto;
}


/* ---------  Quotation page css ------------------- */

.continue_btn {
  max-width: 160px;
  height: 35px;
  font-size: 13px;
  width: 100px;
}
.filter_select
{
  border-radius: 20px;
  max-width: 180px;
  width: 100%;
  padding-left: 40px;
}
.filter_icon 
{
  position: absolute;
  top: 50%;
  transform: translatey(-50%);
  bottom: 0px;
  left:15px;
}
.quotation_history_title
{
  width: 160px;
  font-size: 24px;         
}

/* ------------------ Invoice page css ---------------- */
.address_box2
{
  margin-left: auto;
}
.cost_box
{
  background-color: var(--white);
  box-shadow: 0 0 2px rgba(0, 0, 0, 0.3);
  padding: 22px 60px;
  border-radius: 10px;
}
.cost_title
{
  font-size: 20px;
  font-weight: 600;
  margin-bottom: 18px;
}

#invoice_curatin_table , #invoice_curatin_table tbody tr td
{ 
  word-break: auto-phrase;
}
#invoice_curatin_table thead tr th
{
  vertical-align: middle !important;
}
#invoice_curatin_table tbody tr td
{
  border: 1px solid var(--black-color) !important;
}
#invoice_curatin_table 
{
  border: 1px solid var(--black-color) !important;
  border-top-left-radius: 10px !important;
  border-top-right-radius: 10px !important;
  border-style: none;
}
.main_curtain_box .table-responsive
{
  border-radius: 15px !important;
}


/* ---------------------  price list page css ------------------ */
.pdf_box
{
  border: 1px solid #cacaca;
  border-radius: 15px;
  height: 100%;
  padding: 25px;
}
.pdf_box_inner
{
  width: 100%;
  height: 230px;
  margin-bottom: 20px;
}
.pdf_box_inner img
{
  width: 100%;
  height: 100%;
  object-fit: cover;
} 


.import_wraaper
{
    display: flex;
    height: calc(100vh - 120px);
    justify-content: center;
    align-items: center;
    padding: 40px;
}
.import_csv_main_box
{
    background-color: white;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.25);
    width: 670px;
    max-width: 670px;
    padding: 25px;
    border-radius: 10px;
}
.import_csv_main_box .title_box
{
    font-size: 20px;
    margin-bottom: 20px;
    font-weight: 600;
}
.import_csv_main_box .import_csv_box
{
    width: 100%;
    border: 2px dashed #d6d6d6;
    background-color: #F5F6F7;
    border-radius: 10px;
    height: 280px;
    max-height: 230px;
    padding: 25PX;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin-bottom: 25px;
    position: relative;
}

.import_csv_main_box .upload_input
{
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0px;
    left: 0px;
    opacity: 0;
    cursor: pointer;
}